### Function

# GLib Variant new_tuple

since: 2.24

#### Declaration [src]

    GVariant*
    g_variant_new_tuple (
      GVariant* const* children,
      gsize n_children
    )

#### Description [src]

Creates a new tuple `GVariant` out of the items in `children`. The type is determined from the types of `children`. No entry in the `children` array may be `NULL`.

If `n_children` is 0 then the unit tuple is constructed.

If the `children` are floating references (see g_variant_ref_sink()), the new instance takes ownership of them as if via g_variant_ref_sink().

Available since: 2.24

#### Parameters

`children`

  Type: An array of `GVariant*`

  The items to make the tuple out of.

  The length of the array is specified in the `n_children` argument.
  The data is owned by the caller of the function.

`n_children`

  Type: `gsize`

  The length of `children`.

#### Return value

Type: `GVariant`

A floating reference to a new `GVariant` tuple.

The data is owned by the called function.